(function () {
	var ready = function () {
		
	/* Adds topics to the game 			*/	
		ExpPack.addTopic();
	/*									*/	
	
	/* Adds platforms to the game 		*/	
		ExpPack.addPlatformGrapintosh();
		ExpPack.addPlatformGrMac();
		ExpPack.addPlatform3GS();
		ExpPack.addPlatform2GS();
		ExpPack.addPlatformGamelingColor();
		ExpPack.addPlatformViva();
		ExpPack.addPlatformItaraBackflash();
	/*									*/
		
	/* Adds events to the game 			*/	
		ExpPack.addEventCuriosity();
		ExpPack.addEventVac();
		ExpPack.addEventMovieGame();
		ExpPack.addEventFire();
		ExpPack.addEventSalesChannels1();
		ExpPack.addEventSalesChannels2();
		ExpPack.addEventSalesChannels3();
		ExpPack.addEventSalesChannels4();
		ExpPack.addEventBilly();
	/*									*/
	
	/* Adds researches to the game		*/
		ExpPack.addResearch();
	/*									*/
	};

	var error = function () {
	};

	GDT.loadJs(['mods/gdt-modAPI/helpers/checks.js',
	'mods/gdt-modAPI/api/persistence.js',
	'mods/gdt-modAPI/api/events.js',
	'mods/gdt-modAPI/api/platforms.js',
	'mods/gdt-modAPI/api/topics.js',
	'mods/gdt-modAPI/api/research.js',
	'mods/gdt-modAPI/examples/examples.js',
	'mods/EnhancedPack/source/source.js'
	], ready, error);
})();
